# Artikel hoofdgroepen

<mark style="color:green;">`GET`</mark> `/frames/v1/masterdata/articles/maingroups`

Deze call geeft u een lijst terug van de beschikbare hoofdgroepen binnen het artikelbeheer.\ <mark style="color:blue;">**Dit eindpunt heeft ondersteuning voor RQL-filters**</mark>.

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Body**

<table><thead><tr><th width="292">Name</th><th width="104">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>integer</td><td>Unieke id van de hoofdgroep</td></tr><tr><td><code>companyid</code></td><td>integer</td><td>Referentie naar de bedrijfsentiteit waar de hoofdgroep aan gekoppeld is</td></tr><tr><td><code>removed</code></td><td>string</td><td>Indicatie of de hoofdgroep is verwijderd: 0 = nee / 1 = ja</td></tr><tr><td><code>descriptiondutch</code></td><td>string</td><td>Nederlandse omschrijving van de hoofdgroep</td></tr><tr><td><code>descriptionfrench</code></td><td>string</td><td>Franse omschrijving van de hoofdgroep</td></tr><tr><td><code>descriptionenglish</code></td><td>string</td><td>Engelse omschrijving van de hoofdgroep</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://doc-nl.wavedesk.be/rest-api/modules/module-basisgegevens/artikelen/artikel-hoofdgroepen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
